import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectModalData } from './wallet-connect-modal.types';
export declare class WalletConnect {
    hostElement: HTMLElement;
    data: IWalletConnectModalData;
    qrCodeSvg: string;
    private walletConnectBase;
    componentWillLoad(): void;
    getEventBus(): Promise<IEventBus>;
    onDataChange(data: IWalletConnectModalData): Promise<void>;
    render(): any;
    private removeComponent;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
